Summary: Limit the number of simultaneous downloads per IP address
Name: mod_limitipconn
Version: 0.23
Release: 1%{?dist}
License: Apache 2.0
Group: System Environment/Daemons
URL: http://dominia.org/djao/limitipconn2.html
Source0: http://dominia.org/djao/limit/%{name}-%{version}.tar.bz2
Source1: limitipconn.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: httpd-devel, libtool
Requires: httpd = %(rpm -q --qf '%%{epoch}:%%{version}' httpd | sed -e's,0:,,' -e's,(none):,,')

%description
Apache 2.0 C module to limit the maximum number of simultaneous
connections per IP address. Allows inclusion and exclusion of files
based on MIME type.

%prep
%setup -q

%build
make APXS=/usr/sbin/apxs

%define httpd_moddir %(/usr/sbin/apxs -q LIBEXECDIR)
%define httpd_confdir /etc/httpd/conf.d
%install
rm -rf %{buildroot}
LIBEXECDIR=%{buildroot}`/usr/sbin/apxs -q LIBEXECDIR`
mkdir -p "$LIBEXECDIR"
mkdir -p %{buildroot}%{httpd_confdir}
make install APXS="/usr/sbin/apxs -S LIBEXECDIR=%{buildroot}%{httpd_moddir}"
cp -av $RPM_SOURCE_DIR/limitipconn.conf %{buildroot}%{httpd_confdir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{httpd_moddir}/mod_limitipconn.so
%config(noreplace) %{httpd_confdir}/limitipconn.conf

%changelog
* Tue Nov  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

